## org.codehaus.groovy.runtime.metaclass
Class HashIterator

Field Summary
`Object` | `currentKey`
`Object` | `currentValue`
`Entry` | `entry`
`int` | `index`
`Entry` | `lastReturned`
`def` | `tab`

Constructor Summary
`HashIterator()`

Method Summary
`boolean` | `hasMoreElements()`
`boolean` | `hasNext()`
`Object` | `next()`
`Object` | `nextElement()`
`void` | `remove()`
`Object` | `returnValueOfNext()`

Constructor Detail

### HashIterator

    HashIterator()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

### hasNext

    public boolean hasNext()

### next

    public Object next()

### nextElement

    public Object nextElement()

### remove

    public void remove()

### returnValueOfNext

    Object returnValueOfNext()